﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows.Forms;
using Anis.Twitter.Api;
using System.Web;

namespace TwitterUploader {
    static class Program {
        /// <summary>
        /// アプリケーションのメイン エントリ ポイントです。
        /// </summary>
        [STAThread]
        static void Main(string[] args) {
            string id = "";
            string pass = "";
            string text = "";
            if(args.Length < 3) {
                Console.Write("ID:");
                id = Console.ReadLine();
                Console.Write("Pass:");
                pass = Console.ReadLine();
                Console.Write("Status:");
                text = Console.ReadLine();
            } else {
                id = args[0];
                pass = args[1];
                for(int i = 2; i < args.Length; i++) {
                    text += args[i] + " ";
                }
                text = text.TrimEnd(null);
            }

            Methods sq = new Methods(id, pass);

            if(text.Length > 140) {
                if(MessageBox.Show("文字数が140文字以上あるよ。投稿が切れちゃうよ。そのまま投稿する？\nいいえを選んだらメッセージをクリップボードの入れて終わるよ。", "TwitterUploader", MessageBoxButtons.YesNo) != DialogResult.Yes) {
                    Clipboard.SetText(text);
                    return;
                }
            }
            Status s = sq.UpdateStatus(text);
            Console.WriteLine(s.Id.ToString() + "\t" + s.Created_at.ToString());
            Console.WriteLine(s.Text);
            Console.ReadLine();
        }
    }
}
